Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
Class Upload

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.Upload

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, org.gradle.util.Configurable<Task>

    public class Upload

extends org.gradle.api.internal.ConventionTask

An upload task uploads files to the repositories assigned to it. The files that get uploaded are the artifacts of your project, if they belong to the configuration associated with the upload task.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`Upload()`

Method Summary
`FileCollection` | `getArtifacts()` Returns the artifacts which will be uploaded.
`Configuration` | `getConfiguration()`
`File` | `getDescriptorDestination()`
`RepositoryHandler` | `getRepositories()`
`boolean` | `isUploadDescriptor()`
`RepositoryHandler` | `repositories(Closure configureClosure)`
`void` | `setConfiguration(Configuration configuration)`
`void` | `setDescriptorDestination(File descriptorDestination)`
`void` | `setRepositories(RepositoryHandler repositories)`
`void` | `setUploadDescriptor(boolean uploadDescriptor)`
`protected void` | `upload()`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.gradle.api.Task
`captureStandardOutput, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, getActions, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getGroup, getInputs, getLogger, getLogging, getName, getOutputs, getPath, getProject, getState, getTaskDependencies, getTemporaryDir, hasProperty, leftShift, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setEnabled, setGroup, setOnlyIf, setOnlyIf, setProperty`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### Upload

    public Upload()

Method Detail

### upload

    protected void upload()

### isUploadDescriptor

    public boolean isUploadDescriptor()

### setUploadDescriptor

    public void setUploadDescriptor(boolean uploadDescriptor)

### getDescriptorDestination

    public File getDescriptorDestination()

### setDescriptorDestination

    public void setDescriptorDestination(File descriptorDestination)

### getRepositories

    public RepositoryHandler getRepositories()

### setRepositories

    public void setRepositories(RepositoryHandler repositories)

### getConfiguration

    public Configuration getConfiguration()

### setConfiguration

    public void setConfiguration(Configuration configuration)

### repositories

    public RepositoryHandler repositories(Closure configureClosure)

### getArtifacts

    public FileCollection getArtifacts()

  Returns the artifacts which will be uploaded.

  Returns:
    the artifacts.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD